<?php

namespace common\extensions\CustomersRank\widgets\ShowRank;

class ShowRank extends \yii\base\Widget
{
    public $name;
    public $params;
    public $settings;

    public function run()
    {
        if (\Yii::$app->user->isGuest) {
            return '';
        }
        $customer = \Yii::$app->user->getIdentity();
        $rank = \common\extensions\CustomersRank\helpers\Customer::getRank($customer->customers_id);
        return self::begin()->render('customer-field', [
            'rank' => $rank,
        ]);
    }
}
